function MM_showHideLayers(){var C,E,A,D,B=MM_showHideLayers.arguments;
for(C=0;
C<(B.length-2);
C+=3){if((D=MM_findObj(B[C]))!=null){A=B[C+2];
if(D.style){D=D.style;
A=(A=="show")?"visible":(A=="hide")?"hidden":A
}D.visibility=A
}}}function MM_findObj(E,D){var C,B,A;
if(!D){D=document
}if((C=E.indexOf("?"))>0&&parent.frames.length){D=parent.frames[E.substring(C+1)].document;
E=E.substring(0,C)
}if(!(A=D[E])&&D.all){A=D.all[E]
}for(B=0;
!A&&B<D.forms.length;
B++){A=D.forms[B][E]
}for(B=0;
!A&&D.layers&&B<D.layers.length;
B++){A=MM_findObj(E,D.layers[B].document)
}if(!A&&D.getElementById){A=D.getElementById(E)
}return A
}function setProdIMGAndLink(B,C,A){document.getElementById("ProdIMG").src=B;
document.getElementById("ProdIMG").alt=C;
document.getElementById("ProdIMG").title=C;
document.getElementById("ProdIMGLink").href=A
}if((navigator.userAgent.indexOf("Gecko")!=-1)||(navigator.userAgent.indexOf("Opera")!=-1)){document.write('<link href="/bravia/style/mainG.css" type="text/css" rel=stylesheet media="all"/>')
}else{if((navigator.appVersion.indexOf("Mac")!=-1)&&(navigator.appVersion.indexOf("MSIE 5")!=-1)){document.write('<link href="/bravia/style/mainEM.css" type="text/css" rel=stylesheet media="all"/>')
}else{if(navigator.userAgent.indexOf("IE 5.0")!=-1){document.write('<link href="/bravia/style/mainEW50.css" type="text/css" rel=stylesheet media="all"/>')
}else{if(navigator.userAgent.indexOf("IE 5.")!=-1){document.write('<link href="/bravia/style/mainEW55.css" type="text/css" rel=stylesheet media="all"/>')
}else{if(navigator.userAgent.indexOf("IE 7.")!=-1){document.write('<link href="/bravia/style/mainEW7.css" type="text/css" rel=stylesheet media="all"/>')
}}}}}if(screen.width<1024){document.write('<link href="/bravia/style/mainLoRes.css" type="text/css" rel=stylesheet media="all"/>')
}if(navigator.userAgent.indexOf("Opera")!=-1){document.write('<link href="/bravia/style/mainO.css" type="text/css" rel=stylesheet media="all"/>')
}if(navigator.userAgent.indexOf("IE 6")>-1){try{document.execCommand("BackgroundImageCache",false,true)
}catch(e){}}var plZ=1;
function resizeLabelIframe(B){if(navigator.userAgent.indexOf("IE 6")>-1){var A=B.getElementsByTagName("iframe")[0];
A.style.height=parseInt(B.scrollHeight)+"px";
A.style.width=parseInt(B.scrollWidth)+"px"
}B.style.zIndex=plZ;
plZ++
}function initialiseLabels(){if(navigator.userAgent.indexOf("IE 6")>-1){var D=getPrevContainers();
var A;
try{for(var B=0;
B<D.length;
B++){A=D[B].getElementsByTagName("iframe")[0];
A.style.height=parseInt(D[B].scrollHeight)+"px";
A.style.width=parseInt(D[B].scrollWidth)+"px"
}}catch(C){}}}function getPrevContainers(){var G="cntPreviewLabelA";
var E=new Array();
var D=document;
var A="div";
try{var C=D.getElementsByTagName(A);
var B=C.length;
var F=new RegExp("(^|\\s)"+G+"(\\s|$)");
for(i=0,j=0;
i<B;
i++){if(F.test(C[i].className)){E[j]=C[i];
j++
}}}catch(H){}return E
}var titleTag=document.getElementsByTagName("title");
if(titleTag.length>0){titleTag=titleTag[0];
document.title=document.title.replace(unescape("<wbr />%AD"),"")
}function setCheck(C,A){var B=document.getElementById(A);
if(C.checked){B.checked=true;
B.disabled=true
}else{B.checked=false;
B.disabled=false
}}var wp_Prototypes=true;
Array.prototype.find=function(A){for(count=0;
count<this.length;
count++){if(this[count]==A){return count
}}return -1
};
Array.prototype.exist=function(A){for(count=0;
count<this.length;
count++){if(this[count]==A){return true
}}return false
};
Array.prototype.intersection=function(F){var A=this;
var D={};
var C={};
for(var B=0;
B<F.length;
B++){C[F[B]]=true
}var E=[];
for(var B=0;
B<A.length;
B++){if(!D[A[B]]){D[A[B]]=true;
if(C[A[B]]){E.push(A[B])
}}}return E
};
Array.prototype.union=function(E){var A=this;
var B={};
var D=[];
for(var C=0;
C<A.length;
C++){if(!B[A[C]]){D.push(A[C]);
B[A[C]]=true
}}for(var C=0;
C<E.length;
C++){if(!B[E[C]]){D.push(E[C]);
B[E[C]]=true
}}return D
};
Array.prototype.push_back=function(B){if(typeof B=="object"&&B.length){for(var A=0;
A<B.length;
A++){this[this.length]=B[A]
}}else{this[this.length]=B
}};
Array.prototype.remove=function(B){var A=new Array();
for(count=0;
count<this.length;
count++){if(B!=this[count]){A[A.length]=this[count]
}}return A
};
String.prototype.isMatch=function(A){for(count=0;
count<this.length;
count++){if(A.indexOf(this.substring(count,count+1))==-1){return false
}}return true
};
String.prototype.isNum=function(){return this.isMatch("1234567890")
};
String.prototype.isLetter=function(){return this.isMatch("abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ")
};